GWT 2.7.0

## com.google.gwt.aria.client
Enum InvalidValue

    java.lang.Object
      java.lang.Enum<InvalidValue>
          com.google.gwt.aria.client.InvalidValue

All Implemented Interfaces:
  AriaAttributeType, java.io.Serializable, java.lang.Comparable<InvalidValue>

    public enum InvalidValue

extends java.lang.Enum<InvalidValue>
implements AriaAttributeType

State enum for 'aria-invalid' values.

Enum Constant Summary
`FALSE`
`GRAMMAR`
`SPELLING`
`TRUE`

Method Summary
`java.lang.String` | `getAriaValue()`
`static InvalidValue` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static InvalidValue[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### GRAMMAR

    public static final InvalidValue GRAMMAR

### FALSE

    public static final InvalidValue FALSE

### SPELLING

    public static final InvalidValue SPELLING

### TRUE

    public static final InvalidValue TRUE

Method Detail

### values

    public static InvalidValue[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (InvalidValue c : InvalidValue.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static InvalidValue valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getAriaValue

    public java.lang.String getAriaValue()

  Specified by:
    `getAriaValue` in interface `AriaAttributeType`

GWT 2.7.0